INTERFACE
SUBROUTINE CLOUD_ESTIMATE(&
 & K__SENSOR,&
 & K__NCHANS,&
 & K__CHANID,&
 & K__LEVELS,&
 & P__MODELBTs,&
 & P__OBSBTs,&
 & P__RADCLDLEV,&
 & P__PRESF,&
 & P__PTOP,&
 & P__NE) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
INTEGER(KIND=JPIM),INTENT(IN) :: K__NCHANS
INTEGER(KIND=JPIM),INTENT(IN) :: K__SENSOR
INTEGER(KIND=JPIM),INTENT(IN) :: K__CHANID(K__NCHANS)
INTEGER(KIND=JPIM),INTENT(IN) :: K__LEVELS
REAL(KIND=JPRB) ,INTENT(IN) :: P__MODELBTS(K__NCHANS)
REAL(KIND=JPRB) ,INTENT(IN) :: P__OBSBTS(K__NCHANS)
REAL(KIND=JPRB) ,INTENT(IN) :: P__RADCLDLEV(K__NCHANS,K__LEVELS)
REAL(KIND=JPRB) ,INTENT(IN) :: P__PRESF(NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: P__PTOP
REAL(KIND=JPRB) ,INTENT(OUT) :: P__NE
END SUBROUTINE CLOUD_ESTIMATE
END INTERFACE
